package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * MasterMataKuliah generated by hbm2java
 */
@Entity
@Table(name = "master_mata_kuliah", catalog = "ta")
public class MasterMataKuliah implements java.io.Serializable {

	private String idMataKuliah;
	private MasterKurikulum masterKurikulum;
	private MasterSemester masterSemester;
	private String namaMataKuliah;
	private int sesi;
	private int sks;
	private String wajib;
	private int kategori;
	private Integer lintasSemester;
	private String aktif;

	public MasterMataKuliah() {
	}

	public MasterMataKuliah(String idMataKuliah, MasterKurikulum masterKurikulum, MasterSemester masterSemester,
			String namaMataKuliah, int sesi, int sks, String wajib, int kategori, String aktif) {
		this.idMataKuliah = idMataKuliah;
		this.masterKurikulum = masterKurikulum;
		this.masterSemester = masterSemester;
		this.namaMataKuliah = namaMataKuliah;
		this.sesi = sesi;
		this.sks = sks;
		this.wajib = wajib;
		this.kategori = kategori;
		this.aktif = aktif;
	}

	public MasterMataKuliah(String idMataKuliah, MasterKurikulum masterKurikulum, MasterSemester masterSemester,
			String namaMataKuliah, int sesi, int sks, String wajib, int kategori, Integer lintasSemester,
			String aktif) {
		this.idMataKuliah = idMataKuliah;
		this.masterKurikulum = masterKurikulum;
		this.masterSemester = masterSemester;
		this.namaMataKuliah = namaMataKuliah;
		this.sesi = sesi;
		this.sks = sks;
		this.wajib = wajib;
		this.kategori = kategori;
		this.lintasSemester = lintasSemester;
		this.aktif = aktif;
	}

	@Id

	@Column(name = "idMataKuliah", unique = true, nullable = false, length = 10)
	public String getIdMataKuliah() {
		return this.idMataKuliah;
	}

	public void setIdMataKuliah(String idMataKuliah) {
		this.idMataKuliah = idMataKuliah;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idMasterKurikulum", nullable = false)
	public MasterKurikulum getMasterKurikulum() {
		return this.masterKurikulum;
	}

	public void setMasterKurikulum(MasterKurikulum masterKurikulum) {
		this.masterKurikulum = masterKurikulum;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idSemester", nullable = false)
	public MasterSemester getMasterSemester() {
		return this.masterSemester;
	}

	public void setMasterSemester(MasterSemester masterSemester) {
		this.masterSemester = masterSemester;
	}

	@Column(name = "namaMataKuliah", nullable = false)
	public String getNamaMataKuliah() {
		return this.namaMataKuliah;
	}

	public void setNamaMataKuliah(String namaMataKuliah) {
		this.namaMataKuliah = namaMataKuliah;
	}

	@Column(name = "sesi", nullable = false)
	public int getSesi() {
		return this.sesi;
	}

	public void setSesi(int sesi) {
		this.sesi = sesi;
	}

	@Column(name = "sks", nullable = false)
	public int getSks() {
		return this.sks;
	}

	public void setSks(int sks) {
		this.sks = sks;
	}

	@Column(name = "wajib", nullable = false, length = 15)
	public String getWajib() {
		return this.wajib;
	}

	public void setWajib(String wajib) {
		this.wajib = wajib;
	}

	@Column(name = "kategori", nullable = false)
	public int getKategori() {
		return this.kategori;
	}

	public void setKategori(int kategori) {
		this.kategori = kategori;
	}

	@Column(name = "lintasSemester")
	public Integer getLintasSemester() {
		return this.lintasSemester;
	}

	public void setLintasSemester(Integer lintasSemester) {
		this.lintasSemester = lintasSemester;
	}

	@Column(name = "aktif", nullable = false, length = 1)
	public String getAktif() {
		return this.aktif;
	}

	public void setAktif(String aktif) {
		this.aktif = aktif;
	}

}
